%define name Zope

Summary     	: Z Object Publishing Environment
Name        	: %{name}
Version     	: 1.10.0pr1
Release     	: 2
Group       	: Applications/Internet
Copyright   	: ZPL (Open Source)
URL         	: http://www.zope.org
Source0		: %{name}-%{PACKAGE_VERSION}-src.tgz
Source1		: serve.sh
BuildRoot       : /var/tmp/%{name}-%{PACKAGE_VERSION}
Prefix		: /usr/bin
Requires	: python >= 1.5

%description
Zope is a free, Open Source(tm) web application platform
used for building high-performance, dynamic web sites.

%package pcgi
Summary		: ZOPE Persistent CGI engine
Group		: Applications/Internet
Prefix		: /usr/bin
Requires	: apache

%description pcgi
Z Object Publishing Environment Persistent CGI engine
for use with a standard web server.

%prep
%setup -q -n %{name}-%{PACKAGE_VERSION}-src

%build
python w_pcgi.py

%install
# get rid of old directories...
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/bin/Zope/

# install all the files we can find...
for file in `find -regex '.+py.?' \
		-o -regex '.+so' \
		-o -regex '.+dtml' \
		-o -regex '.+gif' \
		-o -regex '.+jpg' \
		-o -regex '.+Products/.+\.txt'`; do
	cp -P $file ${RPM_BUILD_ROOT}/usr/bin/Zope/
done

# zserver startup script
cp ${RPM_SOURCE_DIR}/serve.sh ${RPM_BUILD_ROOT}/usr/bin/Zope/

# default access password file
cp access ${RPM_BUILD_ROOT}/usr/bin/Zope/

# ZGadflyDA file
cp lib/python/Products/ZGadflyDA/gadfly/sql.mar ${RPM_BUILD_ROOT}/usr/bin/Zope/lib/python/Products/ZGadflyDA/gadfly/

# object store directory
cp -Pr var ${RPM_BUILD_ROOT}/usr/bin/Zope/

# PCGI wrapper programs and script to build the config file...
cp -P pcgi/pcgi-wrapper pcgi/Test/parseinfo ${RPM_BUILD_ROOT}/usr/bin/Zope/
cp make_resource.py ${RPM_BUILD_ROOT}/usr/bin/Zope/pcgi/

# get rid of development stuff...
rm -rf ${RPM_BUILD_ROOT}/usr/bin/Zope/pcgi/MrCreosote

%clean
rm -rf ${RPM_BUILD_ROOT}

%files 
%defattr(-,root,root)
%doc doc
%doc LICENSE.txt README.txt
%doc lib/pledge.txt lib/python/version.txt
%doc lib/python/AccessControl/AccessControl.txt
%doc lib/Components/ExtensionClass/*.txt
%doc lib/python/BoboPOS/Persistence.html
%doc lib/python/DateTime/DateTime.html
%doc lib/python/Products/ZGadflyDA/gadfly/*.html

%doc lib/Components/ExtensionClass/README

/usr/bin/Zope/lib
/usr/bin/Zope/access

# Object Store
/usr/bin/Zope/var

# zserver files
/usr/bin/Zope/serve.sh
/usr/bin/Zope/serve.py
/usr/bin/Zope/serve.pyc
/usr/bin/Zope/ZopeHTTPServer

%files pcgi
%defattr(-,root,root)
%doc pcgi/README pcgi/Test/README.parseinfo pcgi/Util/README pcgi/Example 
/usr/bin/Zope/pcgi

%changelog
* Mon Feb 22 1999 Michael Maher <mike@redhat.com>
- checked spec file, made small changes. 
- ran thru 6.0 build system.

* Wed Feb 10 1999  Sean Summers <SeanS@acm.org>
- release 2
- made Product documentation files stay with their
  products (CHANGES.txt and README.txt)

